Subject: RE: linux-next: manual merge of the cleancache tree with Linus' tree

From: Dan Magenheimer <[email-masked]>
Date: Thu, 24 Mar 2011 08:37:03 -0700 (PDT)

> >>> Is this stuff going to be merged into Linus' tree this time round?

Hi Stephen --

Still TBD.  Some discussion has occurred offlist.

> >> I did the cleancache_flush_page() before the
> delete_from_page_cache(),
> >> in case the delete_from_page_cache() freed the page.  I didn't
> actually
> >> check whether that makes sense though.
> >
> > I am not sure cleancache's put and flush semantic.
> > If I understand rightly with old __remove_from_page_cache's comment,
> > maybe cleancache_flush_page is to invalidate the page

Hi Minchan and Stephen --

I will take a close look at this and possibly ask Chris Mason to
take a look as well (since these hooks were placed by Chris in 2008
and this is the first significant change around the hooks since then).

I think as long as the page is still locked and the mapping
remains valid, the ordering may not matter, but will confirm
and test.
 
> Dan, one more thing.
> 
> #define cleancache_fs_enabled_mapping(_mapping) \
>         (mapping->host->i_sb->cleancache_poolid >= 0)
> 
> One is "_mapping", another is  "mapping"

Oops!  Nice catch, Minchan!  Will fix (using C, per
Andrew's reply).

Thanks,
Dan